Description

I've been trying to compile the game game from source, but I keep getting errors during the build.
I neglected to write down what revision, but I checked it out on April 1, 2011.

OS: Linux Slackware 13.0 x86_64

CHOST="x86_64-pc-linux-gnu" 
CFLAGS="-march=nocona -O2 -pipe -fPIC" 
CXXFLAGS="${CFLAGS}"

The cmake part runs fine, but I get some odd errors in running make (NO -j option due to odd RAM issues).
The terminal output is in the text file attached. Apparently, I'm not the only one with this problem... prozacr in this post -> 
http://forums.ryzom.com/showthread.php?t=35249 .

Note: I'm only trying to compile the game from source because there is no official 64-bit binary for Linux... plus maybe a little better
performance. I don't suppose just anyone, like me, can submit an official binary... any idea when one can be made, or if an unofficial
one would even be allowed?

History
#1 - 04/12/2011 08:12 pm - rti

Could you please recheck if the current version (r1423) works for you?

#2 - 04/12/2011 08:13 pm - rti
- Status changed from New to Feedback
- Assignee set to rti

#3 - 04/17/2011 01:12 pm - norik0

Yes, I can confirm that in current version (r1423), the errors still occur at the exact same time with the exact same output.

#4 - 04/18/2011 03:05 pm - rti

Could you please post the output of CMake?

#5 - 04/18/2011 04:49 pm - norik0
- File cmake-out.txt added

Here's the output for CMake.
#6 - 04/18/2011 05:06 pm - rti

Ok, thanks. This looks good so far. Libwww linking problems are detected...

And could you please run make again like this:

make VERBOSE=1

This way, the gcc call used to link the ryzom_client binary should be visible. I am very interested in this one as well :)

#7 - 04/18/2011 08:54 pm - norik0
- File make-verbose.tgz added

I did so. Attached.

make-log-out-verbose.txt is where I routed all the terminal output of "make VERBOSE=1".
make-terminal.txt is the rest of the warnings and such that still appeared in the terminal.

#8 - 04/18/2011 10:05 pm - zeuxis

I have compiled ryzom for Slackware64-current few weeks ago.
I used the following options to compile libwww and ryzom:

for libwww:
  --disable-static
  --enable-shared
  --with-zlib
  --with-expat
  --with-regex
  --enable-reentrant
with CFLAGS="-O2 -fPIC"

For ryzom:
  -DWITH_NEL_TESTS=OFF
  -DWITH_NEL_TOOLS=OFF
  -DWITH_NEL_SAMPLES=OFF
  -DWITH_RYZOM_SERVER=OFF
  -DWITH_RYZOM_TOOLS=OFF
  -DWITH_STATIC=ON
  -DWITH_STATIC_DRIVERS=ON
  -DWITH_DRIVER_OPENAL=ON
  -DWITH_DRIVER_OPENGL=ON
with CFLAGS="-O2 -fPIC"

What options are you using ?

You can find my Slackbuild files at https://www.zeuxis.net/~zeuxis/slack64/

07/09/2015 2/3

https://www.zeuxis.net/~zeuxis/slack64/


and see if they work also for you.

#9 - 04/20/2011 12:14 pm - norik0
- File make-out-try-2.txt added

I tried that setup, and it did get me farther, but still 2 errors. Would you like the verbose option?

#10 - 04/20/2011 02:20 pm - zeuxis

Have you recompiled libwww with the following options ?
CFLAGS="-fPIC" 
--disable-static
--enable-shared
--with-zlib
--with-expat
--with-regex
--enable-reentrant

I am not sure which one solved the problem but that ones worked for me

#11 - 04/20/2011 05:29 pm - norik0

Yes, that's the result.

#12 - 04/21/2011 11:13 am - norik0

I have Slackware 13.0 . A friend of mine has Slackware 13.1, and had the same errors up until the new options, which allowed the game to compile
correctly. As the game still doesn't compile for me, I'm guessing it might have to do with incompatibilities between the versions of Slackware (things
becoming too obsolete and difficulty changing out certain programs/libs). I'm hoping it's not the case, but considering the results, I have difficulty
coming up with much else.

Files
error.txt 4.4 kB 04/04/2011 norik0
cmake-out.txt 6.7 kB 04/18/2011 norik0
make-verbose.tgz 52.2 kB 04/18/2011 norik0
make-out-try-2.txt 17.6 kB 04/20/2011 norik0
